F5 TTS
انٹیگریٹ کریں
f5-tts
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/f5-tts?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"gen_text": "Hello from Doitong. This is a short test sentence.",
"ref_audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"model_type": "F5-TTS"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/f5-tts?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"gen_text": "Hello from Doitong. This is a short test sentence.",
"ref_audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"model_type": "F5-TTS"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"gen_text": "Hello from Doitong. This is a short test sentence.",
"ref_audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"model_type": "F5-TTS",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/f5-tts", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ur/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "f5-tts",
"input": {
"gen_text": "Hello from Doitong. This is a short test sentence.",
"ref_audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"model_type": "F5-TTS"
}
}
Doitong API کے ذریعے F5 TTS ماڈل (f5-tts) کو کال کریں۔ ایجنٹس کے لیے دستاویزات: https://doitong.com/ur/developers/models/f5-tts.md
POST https://api.doitong.com/v1/run/f5-tts?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"gen_text": "Hello from Doitong. This is a short test sentence.",
"ref_audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"model_type": "F5-TTS"
}
اگر جواب کی اسٹیٹس "queued" یا "running" ہو تو GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 کو اس وقت تک پول کریں جب تک یہ "succeeded" نہ ہو جائے؛ فائلیں outputs[].url میں ہیں۔ رن سے پہلے درست قیمت حاصل کرنے کے لیے اسی باڈی کے ساتھ POST https://api.doitong.com/v1/quote/f5-tts کریں۔
یہ درخواست: $0.003 3 API کریڈٹس اس صفحے پر چلائیں
آپ کی نئی API کلید۔ یہ صرف ابھی دکھائی جاتی ہے اور پہلے ہی نیچے موجود کوڈ اور API کلید کے فیلڈ میں شامل ہے۔ اسے خفیہ رکھیں: اسے کبھی بھی ایسے کوڈ میں شامل نہ کریں جو براؤزر میں چلتا ہو۔
آپ کا پہلا نتیجہ یہاں آئے گا
ذیل میں درخواست بنائیں اور اپنی API کلید کے ساتھ چلائیں۔ آؤٹ پٹس ہمارے اسٹوریج میں کاپی ہو جاتے ہیں، ہمیشہ کے لیے یا مفت میں 7 دن تک محفوظ رہتے ہیں۔
درخواست بنائیں
کنٹرولز ماڈل اسکیما سے تیار ہوتے ہیں۔ آپ کے بدلنے کے ساتھ کوڈ اور قیمت اپ ڈیٹ ہوتے ہیں۔
/run/f5-tts?wait=20
قیمت → $0.003
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/f5-tts?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"gen_text": "Hello from Doitong. This is a short test sentence.",
"ref_audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"model_type": "F5-TTS"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/f5-tts?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"gen_text": "Hello from Doitong. This is a short test sentence.",
"ref_audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"model_type": "F5-TTS"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"gen_text": "Hello from Doitong. This is a short test sentence.",
"ref_audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"model_type": "F5-TTS",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/f5-tts", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "f5-tts",
"input": {
"gen_text": "Hello from Doitong. This is a short test sentence.",
"ref_audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"model_type": "F5-TTS"
},
"wait_seconds": 20
}
}
}
یہ درخواست چلائیں
آپ کی key اسی براؤزر میں رہتی ہے: یہ صرف Doitong API کو بھیجی جاتی ہے اور صرف اس صورت میں localStorage میں محفوظ ہوتی ہے جب آپ Remember منتخب کریں۔ API کلید حاصل کریں
F5 TTS کے بارے میں
`ref_audio_url` سے دیے گئے حوالہ کلپ کی آواز میں `gen_text` (زیادہ سے زیادہ 5000 حروف) بولتا ہے۔ `model_type` F5-TTS یا E2-TTS منتخب کرتا ہے۔ اگر `ref_text` خالی ہو تو اسپیچ ریکگنیشن اسے تیار کرتی ہے۔ `remove_silence` ڈیفالٹ طور پر on ہے۔
پیرامیٹرز
gen_textلازمی
ref_audio_urlلازمی
ref_textاختیاری
model_typeلازمی
remove_silenceاختیاری
فائل پیرامیٹرز عوامی https:// URL، 10 MB تک کی data: URI، یا اپ لوڈ کے file_url کو قبول کرتے ہیں۔ فائلیں
آؤٹ پٹ
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "f5-tts",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 3,
"usd": "0.003",
"charged": 3,
"refunded": 0
},
"input": {
"gen_text": "Hello from Doitong. This is a short test sentence.",
"ref_audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"model_type": "F5-TTS"
},
"output": {
"audio_url": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_name": "0-output.mp3",
"file_size": 1843200
}
},
"outputs": [
{
"type": "audio",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_size": 1843200,
"duration": 12,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
آؤٹ پٹ کے فیلڈز
- audio_url
- object {url, content_type, file_name, file_size}synthesized تقریر والی آڈیو فائل۔
مزید ماڈلز: متن سے آواز
AI ایجنٹس کے لیے: یہ صفحہ Markdown میں یہاں موجود ہے https://doitong.com/ur/developers/models/f5-tts.md. تمام ماڈلز اور گائیڈز: https://doitong.com/developers/llms.txt